Download Old Versions of Chronicle

The latest version of Chronicle is Chronicle 8. Chronicle 8 requires macOS 10.11 or higher. If you have an older version of macOS, or have not purchased Chronicle 8, you may wish to download an older version. Links to older versions are below.